#include "../../../lib/std.mi"

#define CUSTOM_SEEK_VAR MyVar
#include "../../../lib/customseek.m"

Global Group seekergroup;
Global Layer SeekTop, SeekBottom;
Global Map SeekMap;

System.onScriptLoaded()
{
  seekergroup = System.getContainer("main").getLayout("normal").getObject("seekerwindow");

  SeekTop = seekergroup.getObject("seekerfull");
  SeekBottom = seekergroup.getObject("seekerbg");

  SeekMap = new map;
  SeekMap.loadmap("seeker.map");

  _MyVarInit(SeekBottom, SeekTop, SeekMap);
}

System.onScriptUnloading()
{
  _MyVarShutdown();

  delete SeekMap;
}